# Deleting an ECS

#### Function

This API is used to delete an ECS.

#### Constraints

When an ECS is deleted, all NICs attached to the ECS through the OpenStack Nova API will be deleted.

#### URI

DELETE /v2.1/{project_id}/servers/{server_id}

DELETE /v2/{project_id}/servers/{server_id}

Table 1 describes the parameters in the URI.

Table 1 Parameter description
Parameter | Mandatory | Description
--- | --- | ---
project_id | Yes | Specifies the project ID.
server_id | Yes | Specifies the ECS ID.

#### Request

None

#### Response

None

#### Example Request

    DELETE https://{endpoint}/v2/{project_id}/servers/{server_id}
    DELETE https://{endpoint}/v2.1/{project_id}/servers/{server_id}

#### Example Response

None

#### Returned Values

See Returned Values for General Requests.

Parent topic: Lifecycle Management